MPE_Decomp1d(4)

NAME
MPE_Decomp1d - Compute a balanced decomposition of a 1-D array

SYNOPSIS
int MPE_Decomp1d( n, size, rank, s, e )
int n, size, rank, *s, *e;

INPUT PARAMETERS
n   - Length of the array
size
    - Number of processors in decomposition
rank
    - Rank of this processor in the decomposition (0 <= rank < size)

OUTPUT PARAMETERS
s,e - Array indices are s:e, with the original array considered as 1:n.

LOCATION